<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE Sybase_eDataWindow>
<Sybase_eDataWindow>
	<Release>9</Release>
	<BaseDefinition>
		<units>1</units>
		<timer_interval>0</timer_interval>
		<color>67108864</color>
		<processing>0</processing>
		<HTMLDW>no</HTMLDW>
		<print>
			<documentname></documentname>
			<printername></printername>
			<orientation>0</orientation>
			<margin>
				<left>24</left>
				<right>24</right>
				<top>24</top>
				<bottom>24</bottom>
			</margin>
			<paper>
				<source>0</source>
				<size>0</size>
			</paper>
			<prompt>no</prompt>
			<canusedefaultprinter>yes</canusedefaultprinter>
			<buttons>no</buttons>
			<preview.buttons>no</preview.buttons>
			<cliptext>no</cliptext>
			<overrideprintjob>no</overrideprintjob>
		</print>
	</BaseDefinition>
	<Summary>
		<height>0</height>
		<color>536870912</color>
	</Summary>
	<Footer>
		<height>0</height>
		<color>536870912</color>
	</Footer>
	<Detail>
		<height>138</height>
		<color>536870912</color>
	</Detail>
	<TableDefinition>
		<table_column>
			<type size="10">char</type>
			<update>yes</update>
			<updatewhereclause>yes</updatewhereclause>
			<key>yes</key>
			<name>lock_code</name>
			<dbname>inv_lock_det.lock_code</dbname>
		</table_column>
		<table_column>
			<type precision="0">decimal</type>
			<update>yes</update>
			<updatewhereclause>yes</updatewhereclause>
			<key>yes</key>
			<name>line_no</name>
			<dbname>inv_lock_det.line_no</dbname>
		</table_column>
		<table_column>
			<type size="6">char</type>
			<update>yes</update>
			<updatewhereclause>yes</updatewhereclause>
			<name>tran_ser</name>
			<dbname>inv_lock_det.tran_ser</dbname>
		</table_column>
		<table_column>
			<type size="1">char</type>
			<update>yes</update>
			<updatewhereclause>yes</updatewhereclause>
			<name>allow</name>
			<dbname>inv_lock_det.allow</dbname>
			<values>
				<item display="Yes" data="Y"/>
				<item display="No" data="N"/>
			</values>
		</table_column>
		<retrieve>PBSELECT( VERSION(400) TABLE(NAME=&quot;inv_lock_det&quot; ) COLUMN(NAME=&quot;inv_lock_det.lock_code&quot;) COLUMN(NAME=&quot;inv_lock_det.line_no&quot;) COLUMN(NAME=&quot;inv_lock_det.tran_ser&quot;) COLUMN(NAME=&quot;inv_lock_det.allow&quot;)WHERE(    EXP1 =&quot;INV_LOCK_DET.LOCK_CODE&quot;   OP =&quot;=&quot;    EXP2 =&quot;:lock_code&quot;    LOGIC =&quot;and&quot; ) WHERE(    EXP1 =&quot;inv_lock_det.line_no&quot;   OP =&quot;=&quot;    EXP2 =&quot;:line_no&quot; ) ) ARG(NAME = &quot;lock_code&quot; TYPE = string)  ARG(NAME = &quot;line_no&quot; TYPE = number) </retrieve>
		<update>inv_lock_det</update>
		<updatewhere>1</updatewhere>
		<updatekeyinplace>yes</updatekeyinplace>
		<argument>
			<name>lock_code</name>
			<type>string</type>
		</argument>
		<argument>
			<name>line_no</name>
			<type>number</type>
		</argument>
	</TableDefinition>
	<TextObject>
		<band>Detail</band>
		<alignment>1</alignment>
		<text>Lock Code:</text>
		<border>0</border>
		<color>33554432</color>
		<x>23</x>
		<y>18</y>
		<height>19</height>
		<width>77</width>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>lock_code_t</name>
		<visible>1</visible>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>1</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</TextObject>
	<TextObject>
		<band>Detail</band>
		<alignment>1</alignment>
		<text>Line No:</text>
		<border>0</border>
		<color>33554432</color>
		<x>190</x>
		<y>18</y>
		<height>19</height>
		<width>77</width>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>line_no_t</name>
		<visible>1</visible>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>1</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</TextObject>
	<TextObject>
		<band>Detail</band>
		<alignment>1</alignment>
		<text>Tran Ser:</text>
		<border>0</border>
		<color>33554432</color>
		<x>23</x>
		<y>45</y>
		<height>19</height>
		<width>77</width>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>tran_ser_t</name>
		<visible>1</visible>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>1</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</TextObject>
	<ColumnObject>
		<band>Detail</band>
		<id>2</id>
		<alignment>0</alignment>
		<tabsequence>10</tabsequence>
		<border>5</border>
		<color>33554432</color>
		<x>104</x>
		<y>45</y>
		<height>19</height>
		<width>80</width>
		<format>[general]</format>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>tran_ser</name>
		<visible>1</visible>
		<EditStyle style="edit">
			<limit>6</limit>
			<case>any</case>
			<focusrectangle>no</focusrectangle>
			<autoselect>yes</autoselect>
			<autohscroll>yes</autohscroll>
			<imemode>0</imemode>
		</EditStyle>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>2</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>16777215</color>
		</background>
	</ColumnObject>
	<ColumnObject>
		<band>Detail</band>
		<id>4</id>
		<alignment>0</alignment>
		<tabsequence>20</tabsequence>
		<border>5</border>
		<color>33554432</color>
		<x>271</x>
		<y>45</y>
		<height>19</height>
		<width>72</width>
		<format>[general]</format>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>allow</name>
		<visible>1</visible>
		<EditStyle style="ddlb">
			<limit>2</limit>
			<allowedit>no</allowedit>
			<case>any</case>
			<imemode>0</imemode>
		</EditStyle>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>2</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>16777215</color>
		</background>
	</ColumnObject>
	<TextObject>
		<band>Detail</band>
		<alignment>1</alignment>
		<text>Allow:</text>
		<border>0</border>
		<color>33554432</color>
		<x>190</x>
		<y>45</y>
		<height>19</height>
		<width>77</width>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>allow_t</name>
		<visible>1</visible>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>1</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</TextObject>
	<ColumnObject>
		<band>Detail</band>
		<id>1</id>
		<alignment>0</alignment>
		<tabsequence>32766</tabsequence>
		<border>5</border>
		<color>255</color>
		<x>104</x>
		<y>18</y>
		<height>19</height>
		<width>80</width>
		<format>[general]</format>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>lock_code</name>
		<visible>1</visible>
		<EditStyle style="edit">
			<limit>10</limit>
			<case>any</case>
			<focusrectangle>no</focusrectangle>
			<autoselect>yes</autoselect>
			<autohscroll>yes</autohscroll>
			<imemode>0</imemode>
		</EditStyle>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>2</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</ColumnObject>
	<ColumnObject>
		<band>Detail</band>
		<id>3</id>
		<alignment>1</alignment>
		<tabsequence>32766</tabsequence>
		<border>5</border>
		<color>255</color>
		<x>271</x>
		<y>18</y>
		<height>19</height>
		<width>72</width>
		<format>[general]</format>
		<html>
			<valueishtml>0</valueishtml>
		</html>
		<name>line_no</name>
		<visible>1</visible>
		<EditStyle style="edit">
			<limit>0</limit>
			<case>any</case>
			<focusrectangle>no</focusrectangle>
			<autoselect>yes</autoselect>
			<autohscroll>yes</autohscroll>
			<imemode>0</imemode>
		</EditStyle>
		<font>
			<face>Times New Roman</face>
			<height>-10</height>
			<weight>400</weight>
			<family>2</family>
			<pitch>2</pitch>
			<charset>0</charset>
		</font>
		<background>
			<mode>2</mode>
			<color>67108864</color>
		</background>
	</ColumnObject>
	<HtmlTable>
		<border>1</border>
	</HtmlTable>
	<HtmlGen>
		<clientevents>1</clientevents>
		<clientvalidation>1</clientvalidation>
		<clientcomputedfields>1</clientcomputedfields>
		<clientformatting>0</clientformatting>
		<clientscriptable>0</clientscriptable>
		<generatejavascript>1</generatejavascript>
		<encodeselflinkargs>1</encodeselflinkargs>
		<netscapelayers>0</netscapelayers>
	</HtmlGen>
	<Export.XML>
		<headgroups>1</headgroups>
		<includewhitespace>0</includewhitespace>
		<metadatatype>0</metadatatype>
		<savemetadata>0</savemetadata>
	</Export.XML>
	<Import.XML>
	</Import.XML>
	<Export.PDF>
		<method>0</method>
		<distill.custompostscript>0</distill.custompostscript>
		<xslfop.print>0</xslfop.print>
	</Export.PDF>
</Sybase_eDataWindow>
